Mailinglist Archive: opensuse-buildservice (253 mails)

< Previous Next >
Re: [opensuse-buildservice] build errors for java based tomcat plugin
  • From: Christoph Thiel <cthiel@xxxxxxx>
  • Date: Wed, 1 Nov 2006 14:55:47 +0100
  • Message-id: <20061101135547.GD5072@xxxxxxx>
On Wed, Nov 01, 2006 at 12:41:29PM +0100, Thomas Schmidt wrote:
> Steve Beattie wrote:
> > On Tue, Oct 31, 2006 at 09:53:50AM +0100, Thomas Schmidt wrote:
> >> Dominic Reynolds wrote:
> >>> We are having problems getting a package to build - looks like dependncy
> >>> problems. It is a java based plugin in tomcat for AppArmor. The package
> >>> tomcat_apparmor is in factory but we would like to make a development version
> >>> available via the build service. Does the buildservice expand
> >>> java2-devel-packages to fill the required dependencies?
> >> I think you have to build with a java repository for example:
> >> Java:Sun-Java-1.5/SUSE_Linux_10.1 because the standard repositories
> >> don't contain java.
> >
> > Thanks, that worked for building against 10.1. Unfortunately, I don't see
> > a repository that works for SLE 10 (I tried SUSE:SLE-10:SDK:EXTRA/SLE_10,
> > no luck) or Factory (even though tomcat_apparmor is *in* Factory). Any
> > other repos I should be looking at?
> >
> > Thanks for the help.
>
> I am struggling with the same problem for SLE10 and factory. (Project swamp)

You need to make sure to have a target distribution added that includes
JAVA. The default SLE10 and Factory targets don't include JAVA.


Best,
Christoph
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
References